#include<iostream>
using namespace std;
int n, k, x;
int main(){

    cin >> n >> k >> x;
    if(n == k)
        for(int i = 1; i <= n; i++){
            if(i == 1)
                cout << "1 ";
            else if(i == 2)
                cout << 1 + x << " ";
            else if(i == n)
                cout << 1 + 2 * x << endl;
            else cout << 1 + x + 1 << " ";
        }
    else{
        if(n >= 4)
            for(int i = 1; i <= n; i++)
                if(i == 1 or i == 2 or i == 3)
                    cout << "1 ";
                else if(i == n)
                    cout << x + 1 << endl;
                else cout << "2 ";
        else cout << "-1" << endl;
    }

    return 0;
}